Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Posts: 113
Registered: ‎04-09-2009
My Device: Not Specified

Re: Which JDE version to chose?

I know Storm supports JDE 4.7.1, but if I target the devices such as Perl, Curve.. I think JDE 4.2.1 as the earliest supported OS should be fine. Am I right? I have JDK 1.6 installed in my PC. Will this create any compatibility issue for JDE 4.2.1?

 

 

Thank you.

 

Regards,

-DK

Developer
Posts: 3,951
Registered: ‎07-15-2008
My Device: Not Specified

Re: Which JDE version to chose?

Check this KB article.

 

http://www.blackberry.com/knowledgecenterpublic/livelink.exe/fetch/2000/348583/800901/What_Is_-_Supp...


Use Search. "Accept Solution" If the problem is resolved.
Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: Which JDE version to chose?

The original Pearls came out with 4.2.  If you choose 4.2.1 then these will be the only non supported trackball devices.
Developer
Posts: 163
Registered: ‎04-16-2009
My Device: Not Specified

Re: Which JDE version to chose?

[ Edited ]

I am considering porting down from a Storm app to one of the other devices.  So I will grab the right JDE and simulator(s) but how do you test them past the simulators? Simulators aren't dead on to the actually hardware, there is always somethign alittle off. Do people actually go out and buy the various phones to verify they work correctly or just get beta testers and hope they test it well?  If you do buy the phones can you get them without the actual phone service?

 

Leigh

Message Edited by LMcRae on 06-16-2009 11:48 AM
Highlighted
Developer
Posts: 91
Registered: ‎02-04-2009
My Device: Not Specified

Re: Which JDE version to chose?

RIM has something called the Alliance Program.  Depending on your tier, you can get access to devices through the Loaner Program.

http://na.blackberry.com/eng/partners/Brochure_Leads.pdf 

Developer
Posts: 163
Registered: ‎04-16-2009
My Device: Not Specified

Re: Which JDE version to chose?

Thank you.